Package icyllis.arc3d.compiler

# Class BuiltinTypes

java.lang.Object
icyllis.arc3d.compiler.BuiltinTypes

public final class BuiltinTypes extends Object
Contains the built-in, core SL types.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Type`
  `mBool`
  A conditional type, taking on values of true or false.
  `final Type`
  `mBool2`
  `final Type`
  `mBool3`
  `final Type`
  `mBool4`
  `final Type`
  `mBVec`
  `final Type`
  `mBVec2`
  GLSL aliases.
  `final Type`
  `mBVec3`
  `final Type`
  `mBVec4`
  `final Type`
  `mF32Mat2`
  GLSL aliases.
  `final Type`
  `mF32Mat2x2`
  GLSL aliases.
  `final Type`
  `mF32Mat2x3`
  `final Type`
  `mF32Mat2x4`
  `final Type`
  `mF32Mat3`
  `final Type`
  `mF32Mat3x2`
  `final Type`
  `mF32Mat3x3`
  `final Type`
  `mF32Mat3x4`
  `final Type`
  `mF32Mat4`
  `final Type`
  `mF32Mat4x2`
  `final Type`
  `mF32Mat4x3`
  `final Type`
  `mF32Mat4x4`
  `final Type`
  `mF32Vec2`
  `final Type`
  `mF32Vec3`
  `final Type`
  `mF32Vec4`
  `final Type`
  `mFloat`
  A 32-bit floating point value.
  `final Type`
  `mFloat2`
  `final Type`
  `mFloat2x2`
  A 32-bit floating point matrix.
  `final Type`
  `mFloat2x3`
  `final Type`
  `mFloat2x4`
  `final Type`
  `mFloat3`
  `final Type`
  `mFloat32`
  GLSL aliases.
  `final Type`
  `mFloat3x2`
  `final Type`
  `mFloat3x3`
  `final Type`
  `mFloat3x4`
  `final Type`
  `mFloat4`
  `final Type`
  `mFloat4x2`
  `final Type`
  `mFloat4x3`
  `final Type`
  `mFloat4x4`
  `final Type`
  `mGenBType`
  `final Type`
  `mGenFType`
  `final Type`
  `mGenHType`
  `final Type`
  `mGenIType`
  `final Type`
  `mGenSType`
  `final Type`
  `mGenUSType`
  `final Type`
  `mGenUType`
  `final Type`
  `mHalf`
  A minimum 16-bit floating point value.
  `final Type`
  `mHalf2`
  `final Type`
  `mHalf2x2`
  A minimum 16-bit floating point matrix.
  `final Type`
  `mHalf2x3`
  `final Type`
  `mHalf2x4`
  `final Type`
  `mHalf3`
  `final Type`
  `mHalf3x2`
  `final Type`
  `mHalf3x3`
  `final Type`
  `mHalf3x4`
  `final Type`
  `mHalf4`
  `final Type`
  `mHalf4x2`
  `final Type`
  `mHalf4x3`
  `final Type`
  `mHalf4x4`
  `final Type`
  `mHMat`
  `final Type`
  `mHVec`
  `final Type`
  `mI32Vec2`
  `final Type`
  `mI32Vec3`
  `final Type`
  `mI32Vec4`
  `final Type`
  `mImage1D`
  Image types.
  `final Type`
  `mImage1DArray`
  `final Type`
  `mImage2D`
  `final Type`
  `mImage2DArray`
  `final Type`
  `mImage2DMS`
  `final Type`
  `mImage2DMSArray`
  `final Type`
  `mImage3D`
  `final Type`
  `mImageBuffer`
  `final Type`
  `mImageCube`
  `final Type`
  `mImageCubeArray`
  `final Type`
  `mInt`
  A 32-bit signed integer.
  `final Type`
  `mInt2`
  `final Type`
  `mInt3`
  `final Type`
  `mInt32`
  GLSL aliases.
  `final Type`
  `mInt4`
  `final Type`
  `mInvalid`
  `final Type`
  `mIVec`
  `final Type`
  `mIVec2`
  GLSL aliases.
  `final Type`
  `mIVec3`
  `final Type`
  `mIVec4`
  `final Type`
  `mMat`
  `final Type`
  `mMat2`
  GLSL aliases.
  `final Type`
  `mMat2x2`
  GLSL aliases.
  `final Type`
  `mMat2x3`
  `final Type`
  `mMat2x4`
  `final Type`
  `mMat3`
  `final Type`
  `mMat3x2`
  `final Type`
  `mMat3x3`
  `final Type`
  `mMat3x4`
  `final Type`
  `mMat4`
  `final Type`
  `mMat4x2`
  `final Type`
  `mMat4x3`
  `final Type`
  `mMat4x4`
  `final Type`
  `mMin16Float`
  HLSL aliases.
  `final Type`
  `mMin16Float2`
  `final Type`
  `mMin16Float3`
  `final Type`
  `mMin16Float4`
  `final Type`
  `mMin16Int`
  HLSL aliases.
  `final Type`
  `mMin16Int2`
  `final Type`
  `mMin16Int3`
  `final Type`
  `mMin16Int4`
  `final Type`
  `mMin16UInt`
  HLSL aliases.
  `final Type`
  `mMin16UInt2`
  `final Type`
  `mMin16UInt3`
  `final Type`
  `mMin16UInt4`
  `final Type`
  `mPoison`
  A bad value or there's an error.
  `final Type`
  `mSampler`
  Sampler types.
  `final Type`
  `mSampler1D`
  Texture sampler types.
  `final Type`
  `mSampler1DArray`
  `final Type`
  `mSampler1DArrayShadow`
  `final Type`
  `mSampler1DShadow`
  Depth texture sampler types.
  `final Type`
  `mSampler2D`
  `final Type`
  `mSampler2DArray`
  `final Type`
  `mSampler2DArrayShadow`
  `final Type`
  `mSampler2DMS`
  `final Type`
  `mSampler2DMSArray`
  `final Type`
  `mSampler2DShadow`
  `final Type`
  `mSampler3D`
  `final Type`
  `mSamplerBuffer`
  `final Type`
  `mSamplerCube`
  `final Type`
  `mSamplerCubeArray`
  `final Type`
  `mSamplerCubeArrayShadow`
  `final Type`
  `mSamplerCubeShadow`
  `final Type`
  `mSamplerShadow`
  `final Type`
  `mShort`
  A minimum 16-bit signed integer.
  `final Type`
  `mShort2`
  `final Type`
  `mShort3`
  `final Type`
  `mShort4`
  `final Type`
  `mSubpassInput`
  Subpass types.
  `final Type`
  `mSubpassInputMS`
  `final Type`
  `mSVec`
  `final Type`
  `mTexture1D`
  Texture types.
  `final Type`
  `mTexture1DArray`
  `final Type`
  `mTexture2D`
  `final Type`
  `mTexture2DArray`
  `final Type`
  `mTexture2DMS`
  `final Type`
  `mTexture2DMSArray`
  `final Type`
  `mTexture3D`
  `final Type`
  `mTextureBuffer`
  `final Type`
  `mTextureCube`
  `final Type`
  `mTextureCubeArray`
  `final Type`
  `mU32Vec2`
  `final Type`
  `mU32Vec3`
  `final Type`
  `mU32Vec4`
  `final Type`
  `mUInt`
  A 32-bit unsigned integer.
  `final Type`
  `mUInt2`
  `final Type`
  `mUInt3`
  `final Type`
  `mUInt32`
  GLSL aliases.
  `final Type`
  `mUInt4`
  `final Type`
  `mUShort`
  A minimum 16-bit unsigned integer.
  `final Type`
  `mUShort2`
  `final Type`
  `mUShort3`
  `final Type`
  `mUShort4`
  `final Type`
  `mUSVec`
  `final Type`
  `mUVec`
  `final Type`
  `mUVec2`
  GLSL aliases.
  `final Type`
  `mUVec3`
  `final Type`
  `mUVec4`
  `final Type`
  `mVec`
  `final Type`
  `mVec2`
  GLSL aliases.
  `final Type`
  `mVec3`
  `final Type`
  `mVec4`
  `final Type`
  `mVoid`
  For functions that do not return a value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuiltinTypes()`
  Initializes the core SL types.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mVoid

    public final Type mVoid
    For functions that do not return a value.

  - ### mBool

    public final Type mBool
    A conditional type, taking on values of true or false.

  - ### mBool2

    public final Type mBool2

  - ### mBool3

    public final Type mBool3

  - ### mBool4

    public final Type mBool4

  - ### mShort

    public final Type mShort
    A minimum 16-bit signed integer.

  - ### mShort2

    public final Type mShort2

  - ### mShort3

    public final Type mShort3

  - ### mShort4

    public final Type mShort4

  - ### mUShort

    public final Type mUShort
    A minimum 16-bit unsigned integer.

  - ### mUShort2

    public final Type mUShort2

  - ### mUShort3

    public final Type mUShort3

  - ### mUShort4

    public final Type mUShort4

  - ### mInt

    public final Type mInt
    A 32-bit signed integer.

  - ### mInt2

    public final Type mInt2

  - ### mInt3

    public final Type mInt3

  - ### mInt4

    public final Type mInt4

  - ### mUInt

    public final Type mUInt
    A 32-bit unsigned integer.

  - ### mUInt2

    public final Type mUInt2

  - ### mUInt3

    public final Type mUInt3

  - ### mUInt4

    public final Type mUInt4

  - ### mHalf

    public final Type mHalf
    A minimum 16-bit floating point value.

  - ### mHalf2

    public final Type mHalf2

  - ### mHalf3

    public final Type mHalf3

  - ### mHalf4

    public final Type mHalf4

  - ### mFloat

    public final Type mFloat
    A 32-bit floating point value.

  - ### mFloat2

    public final Type mFloat2

  - ### mFloat3

    public final Type mFloat3

  - ### mFloat4

    public final Type mFloat4

  - ### mHalf2x2

    public final Type mHalf2x2
    A minimum 16-bit floating point matrix.

  - ### mHalf2x3

    public final Type mHalf2x3

  - ### mHalf2x4

    public final Type mHalf2x4

  - ### mHalf3x2

    public final Type mHalf3x2

  - ### mHalf3x3

    public final Type mHalf3x3

  - ### mHalf3x4

    public final Type mHalf3x4

  - ### mHalf4x2

    public final Type mHalf4x2

  - ### mHalf4x3

    public final Type mHalf4x3

  - ### mHalf4x4

    public final Type mHalf4x4

  - ### mFloat2x2

    public final Type mFloat2x2
    A 32-bit floating point matrix.

  - ### mFloat2x3

    public final Type mFloat2x3

  - ### mFloat2x4

    public final Type mFloat2x4

  - ### mFloat3x2

    public final Type mFloat3x2

  - ### mFloat3x3

    public final Type mFloat3x3

  - ### mFloat3x4

    public final Type mFloat3x4

  - ### mFloat4x2

    public final Type mFloat4x2

  - ### mFloat4x3

    public final Type mFloat4x3

  - ### mFloat4x4

    public final Type mFloat4x4

  - ### mVec2

    public final Type mVec2
    GLSL aliases.

  - ### mVec3

    public final Type mVec3

  - ### mVec4

    public final Type mVec4

  - ### mBVec2

    public final Type mBVec2
    GLSL aliases.

  - ### mBVec3

    public final Type mBVec3

  - ### mBVec4

    public final Type mBVec4

  - ### mIVec2

    public final Type mIVec2
    GLSL aliases.

  - ### mIVec3

    public final Type mIVec3

  - ### mIVec4

    public final Type mIVec4

  - ### mUVec2

    public final Type mUVec2
    GLSL aliases.

  - ### mUVec3

    public final Type mUVec3

  - ### mUVec4

    public final Type mUVec4

  - ### mMin16Int

    public final Type mMin16Int
    HLSL aliases.

  - ### mMin16Int2

    public final Type mMin16Int2

  - ### mMin16Int3

    public final Type mMin16Int3

  - ### mMin16Int4

    public final Type mMin16Int4

  - ### mMin16UInt

    public final Type mMin16UInt
    HLSL aliases.

  - ### mMin16UInt2

    public final Type mMin16UInt2

  - ### mMin16UInt3

    public final Type mMin16UInt3

  - ### mMin16UInt4

    public final Type mMin16UInt4

  - ### mMin16Float

    public final Type mMin16Float
    HLSL aliases.

  - ### mMin16Float2

    public final Type mMin16Float2

  - ### mMin16Float3

    public final Type mMin16Float3

  - ### mMin16Float4

    public final Type mMin16Float4

  - ### mInt32

    public final Type mInt32
    GLSL aliases.

  - ### mI32Vec2

    public final Type mI32Vec2

  - ### mI32Vec3

    public final Type mI32Vec3

  - ### mI32Vec4

    public final Type mI32Vec4

  - ### mUInt32

    public final Type mUInt32
    GLSL aliases.

  - ### mU32Vec2

    public final Type mU32Vec2

  - ### mU32Vec3

    public final Type mU32Vec3

  - ### mU32Vec4

    public final Type mU32Vec4

  - ### mFloat32

    public final Type mFloat32
    GLSL aliases.

  - ### mF32Vec2

    public final Type mF32Vec2

  - ### mF32Vec3

    public final Type mF32Vec3

  - ### mF32Vec4

    public final Type mF32Vec4

  - ### mMat2

    public final Type mMat2
    GLSL aliases.

  - ### mMat3

    public final Type mMat3

  - ### mMat4

    public final Type mMat4

  - ### mMat2x2

    public final Type mMat2x2
    GLSL aliases.

  - ### mMat2x3

    public final Type mMat2x3

  - ### mMat2x4

    public final Type mMat2x4

  - ### mMat3x2

    public final Type mMat3x2

  - ### mMat3x3

    public final Type mMat3x3

  - ### mMat3x4

    public final Type mMat3x4

  - ### mMat4x2

    public final Type mMat4x2

  - ### mMat4x3

    public final Type mMat4x3

  - ### mMat4x4

    public final Type mMat4x4

  - ### mF32Mat2

    public final Type mF32Mat2
    GLSL aliases.

  - ### mF32Mat3

    public final Type mF32Mat3

  - ### mF32Mat4

    public final Type mF32Mat4

  - ### mF32Mat2x2

    public final Type mF32Mat2x2
    GLSL aliases.

  - ### mF32Mat2x3

    public final Type mF32Mat2x3

  - ### mF32Mat2x4

    public final Type mF32Mat2x4

  - ### mF32Mat3x2

    public final Type mF32Mat3x2

  - ### mF32Mat3x3

    public final Type mF32Mat3x3

  - ### mF32Mat3x4

    public final Type mF32Mat3x4

  - ### mF32Mat4x2

    public final Type mF32Mat4x2

  - ### mF32Mat4x3

    public final Type mF32Mat4x3

  - ### mF32Mat4x4

    public final Type mF32Mat4x4

  - ### mImage1D

    public final Type mImage1D
    Image types.

  - ### mImage2D

    public final Type mImage2D

  - ### mImage3D

    public final Type mImage3D

  - ### mImageCube

    public final Type mImageCube

  - ### mImageBuffer

    public final Type mImageBuffer

  - ### mImage1DArray

    public final Type mImage1DArray

  - ### mImage2DArray

    public final Type mImage2DArray

  - ### mImageCubeArray

    public final Type mImageCubeArray

  - ### mImage2DMS

    public final Type mImage2DMS

  - ### mImage2DMSArray

    public final Type mImage2DMSArray

  - ### mSubpassInput

    public final Type mSubpassInput
    Subpass types.

  - ### mSubpassInputMS

    public final Type mSubpassInputMS

  - ### mTexture1D

    public final Type mTexture1D
    Texture types.

  - ### mTexture2D

    public final Type mTexture2D

  - ### mTexture3D

    public final Type mTexture3D

  - ### mTextureCube

    public final Type mTextureCube

  - ### mTextureBuffer

    public final Type mTextureBuffer

  - ### mTexture1DArray

    public final Type mTexture1DArray

  - ### mTexture2DArray

    public final Type mTexture2DArray

  - ### mTextureCubeArray

    public final Type mTextureCubeArray

  - ### mTexture2DMS

    public final Type mTexture2DMS

  - ### mTexture2DMSArray

    public final Type mTexture2DMSArray

  - ### mSampler

    public final Type mSampler
    Sampler types.

  - ### mSamplerShadow

    public final Type mSamplerShadow

  - ### mSampler1D

    public final Type mSampler1D
    Texture sampler types.

  - ### mSampler2D

    public final Type mSampler2D

  - ### mSampler3D

    public final Type mSampler3D

  - ### mSamplerCube

    public final Type mSamplerCube

  - ### mSamplerBuffer

    public final Type mSamplerBuffer

  - ### mSampler1DArray

    public final Type mSampler1DArray

  - ### mSampler2DArray

    public final Type mSampler2DArray

  - ### mSamplerCubeArray

    public final Type mSamplerCubeArray

  - ### mSampler2DMS

    public final Type mSampler2DMS

  - ### mSampler2DMSArray

    public final Type mSampler2DMSArray

  - ### mSampler1DShadow

    public final Type mSampler1DShadow
    Depth texture sampler types.

  - ### mSampler2DShadow

    public final Type mSampler2DShadow

  - ### mSamplerCubeShadow

    public final Type mSamplerCubeShadow

  - ### mSampler1DArrayShadow

    public final Type mSampler1DArrayShadow

  - ### mSampler2DArrayShadow

    public final Type mSampler2DArrayShadow

  - ### mSamplerCubeArrayShadow

    public final Type mSamplerCubeArrayShadow

  - ### mInvalid

    public final Type mInvalid

  - ### mGenFType

    public final Type mGenFType

  - ### mGenIType

    public final Type mGenIType

  - ### mGenUType

    public final Type mGenUType

  - ### mGenHType

    public final Type mGenHType

  - ### mGenSType

    public final Type mGenSType

  - ### mGenUSType

    public final Type mGenUSType

  - ### mGenBType

    public final Type mGenBType

  - ### mMat

    public final Type mMat

  - ### mHMat

    public final Type mHMat

  - ### mVec

    public final Type mVec

  - ### mIVec

    public final Type mIVec

  - ### mUVec

    public final Type mUVec

  - ### mHVec

    public final Type mHVec

  - ### mSVec

    public final Type mSVec

  - ### mUSVec

    public final Type mUSVec

  - ### mBVec

    public final Type mBVec

  - ### mPoison

    public final Type mPoison
    A bad value or there's an error.

- ## Constructor Details

  - ### BuiltinTypes

    public BuiltinTypes()
    Initializes the core SL types.